cascading.flow.tez.stream.element

## Class TezSinkStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<TupleEntry,java.lang.Void>
      - - cascading.flow.stream.element.SinkStage
        - - cascading.flow.tez.stream.element.TezSinkStage

- All Implemented Interfaces:
    ElementDuct

      public class TezSinkStage
      extends SinkStage

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.element.ElementStage

      `branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TezSinkStage(FlowProcess flowProcess, Tap sink, org.apache.tez.runtime.api.LogicalOutput logicalOutput)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()`
    `protected java.lang.Object` | `getOutput()`
    `void` | `prepare()`

    - ### Methods inherited from class cascading.flow.stream.element.SinkStage

      `bind, complete, getSink, receive, start`

    - ### Methods inherited from class cascading.flow.stream.element.ElementStage

      `equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `getNext, getNextFor, initialize, receiveFirst`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TezSinkStage

          public TezSinkStage(FlowProcess flowProcess,
                      Tap sink,
                      org.apache.tez.runtime.api.LogicalOutput logicalOutput)

  - ### Method Detail

    - #### prepare

          public void prepare()

      Overrides:
        `prepare` in class `SinkStage`

    - #### cleanup

          public void cleanup()

      Overrides:
        `cleanup` in class `SinkStage`

    - #### getOutput

          protected java.lang.Object getOutput()

      Overrides:
        `getOutput` in class `SinkStage`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.